<?php
	/**
	 * Copyright (c) 2008-2013 GIANTS Software GmbH, Confidential, All Rights Reserved.
	 * Copyright (c) 2003-2013 Christian Ammann and Stefan Geiger, Confidential, All Rights Reserved.
	 */

	function loadFileHTTPSocket($domain, $port, $path, $timeout) {
		$fp = fsockopen($domain, $port, $errno, $errstr, $timeout);
		if ($fp) {
			// Make request
			$out = "GET ". $path . " HTTP/1.0\r\n";
			$out .= "Host: ". $domain . "\r\n";
			$out .= "Connection: Close\r\n\r\n";
			fwrite($fp, $out);
		   
			// Get response
			$resp = "";
			while (!feof($fp)) {
				$resp .= fgets($fp, 256);
			}
			fclose($fp);
						
			// Check status is 200
			if(preg_match("/HTTP\/1\.\d\s(\d+)/", $resp, $matches) && $matches[1] == 200) {   
				// Load xml as object
				$parts = explode("\r\n\r\n", $resp);
				$temp = "";
				for ($i=1;$i<count($parts);$i++) {
					$temp .= $parts[$i];
				}
				return $temp;
			}
		}
		return false;
	}

	function getServerStatsSimpleXML($url) {
	
		$urlParts = parse_url($url);

		$cacheFile = "dedicated-server-stats.cached";
		$cacheTimeout = 60*2;
		
		if(file_exists($cacheFile) && filemtime($cacheFile) > (time() - ($cacheTimeout + rand(0, 10)))) {
			$xmlStr = file_get_contents($cacheFile);
		} else {
			error_reporting(0);
			$xmlStr = loadFileHTTPSocket($urlParts["host"], $urlParts["port"], $urlParts["path"] . "?" . $urlParts["query"], 4);
			error_reporting(E_ALL);
			
			if ($xmlStr) {
				$fp = fopen($cacheFile, "w");
				fwrite($fp, $xmlStr);
				fclose($fp);			
			}
			
		}

		return simplexml_load_string($xmlStr);
	}
	
?>